# ProgressBar

Package tourplaner.ui

## Class ProgressBar

- java.lang.Object
- - tourplaner.ui.ProgressBar

    public class ProgressBar
    extends java.lang.Object

### Constructor Summary

Constructors
`ProgressBar​(java.lang.String title)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProgress​(int add)`
`void` `closeProgress()`
`int` `getProgressSize​(int todo, int maxLevel)`
`void` `setProgress​(int set)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressBar

    public ProgressBar​(java.lang.String title)

### Method Detail

#### addProgress

    public void addProgress​(int add)

#### setProgress

    public void setProgress​(int set)

#### closeProgress

    public void closeProgress()

#### getProgressSize

    public int getProgressSize​(int todo,
                               int maxLevel)